/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef __PATHAN_HPP
#define __PATHAN_HPP

/* Configure-style definitions for Windows.  */

#pragma warning( disable : 4290 ) // ignore warnings about exception specifications not being implemented.

/* Define to empty if the keyword does not work.  */
/* MS VC++ supports const */
#undef const

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
/* Intel & Alpha architechtures are small endian */
#undef WORDS_BIGENDIAN

/* MSVC++ requires explicit exportation of symbols accessed in a DLL */
/* If we are building the library, export symbols */
/* If we are linking against the library, import symbols */

#define PATHAN_EXPORT __declspec(dllimport)

#if defined(PROJ_PATHAN)
#undef PATHAN_EXPORT
#define PATHAN_EXPORT __declspec(dllexport)
#endif

#if defined(PROJ_PATHAN_STATIC)
#undef PATHAN_EXPORT
#define PATHAN_EXPORT
#endif


namespace Pathan {

  //The DOM3-XPath spec tells us how to handle text nodes. However, if this is set to true,
  //every text node is returned (adjacent text nodes aren't treated as the same piece of text)
  void PATHAN_EXPORT useWholeText(bool);

}//Pathan namespace

#endif
